.root {
    width: 100%;
    min-height: 100vh;
    max-width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    font-size: size-rel(12px);
    line-height: size-rel(22px);

    &__header {
        z-index: 1200;
        position: relative;
    }

    &__main {
        flex-grow: 1;

        &--content {
            padding: 40px 0;
        }
    }

    &__container {
        max-width: 1256px;
    }

    @include media-breakpoint-up(lg) {
        font-size: size-rel(16px);
        line-height: size-rel(32px);
    }

    @include media-breakpoint-up(xl) {

        &__wrap {
            padding-left: 270px;
        }
    }

    @include media-breakpoint-up(xxl) {

        &__wrap {
            padding-left: 366px;
        }
    }
}

.limit-height {

    &__content {
        max-height: 300px;
        overflow: hidden;
        position: relative;
        will-change: max-height;

        &:before {
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 10;
            content: '';
            height: 80px;
            position: absolute;
            background: rgba(255,255,255,0.2);
        //    background: linear-gradient(180deg, rgba(255,255,255,0.1) 0%, rgba(255,255,255,1) 100%);
        }

        &--gray {

            &:before {
                background: linear-gradient(180deg, rgba(245,245,245,0.1) 0%, rgba(245,245,245,1) 100%);
            }
        }
    }

    &__footer {
        padding-top: 20px;
        text-align: center;
    }

    &__button {
        margin: 0;
        border: none;
        outline: none;
        cursor: pointer;
        color: $accent;
        position: relative;
        padding: 0 24px 0 0;
        text-decoration: none;
        background: transparent;
        font-weight: 500;
        font-size: size-rel(12px);
        line-height: size-rel(24px);

        &:before {
            content: attr(data-down);
        }

        &:after {
            right: 0;
            top: calc(50% - 7px);
            content: '';
            width: 14px;
            height: 14px;
            font-size: 0;
            line-height: 0;
            display: block;
            position: absolute;
            background: transparent url("../images/icon__plus.svg") 50% 50% no-repeat;
        }
    }


    &.open {

        .limit-height__content {
            max-height: inherit;

            &:before {
                display: none;
            }
        }

        .limit-height__button {

            &:before {
                content: attr(data-up);
            }

            &:after {
                transform: rotate(45deg);
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__content {
            overflow: visible;
            max-height: inherit;

            &:before {
                display: none;
            }
        }

        &__footer {
            display: none;
        }
    }
}

.wrap {

    @include media-breakpoint-up(xl) {
        padding-left: 270px;
    }

    @include media-breakpoint-up(xxl) {
        padding-left: 366px;
    }
}

.side-contact {
    display: none;

    &__phone {
        display: block;
        color: $primary;
        font-weight: 600;
        text-decoration: none;
        font-size: size-rel(20px);
        line-height: size-rel(32px);

        &:hover {
            color: $primary;
            text-decoration: none;
        }
    }

    &__callback {
        color: $accent;
        text-decoration: none;
        font-weight: 500;
        font-size: size-rel(14px);
        line-height: size-rel(24px);

        &:hover {
            color: $primary;
            text-decoration: none;
        }
    }

    @include media-breakpoint-up(xl) {
        bottom: 32px;
        z-index: 50;
        position: fixed;
        display: block;
        opacity: 0;
        visibility: hidden;

        &.visible {
            opacity: 1;
            visibility: visible;
        }
    }
}

.modal {
    padding: 0;
    max-width: 300px;
    background: $white;

    &__media {
        display: none;
    }

    &__content {
        padding: 40px 24px;
    }

    &__title {
        margin-bottom: 14px;
        font-weight: 600;
        font-size: size-rel(14px);
        line-height: size-rel(24px);
    }

    &__button {

        .btn {
            width: 100%;
        }
    }

    &__text {
        padding-top: 16px;
        font-size: 12px;
        line-height: 22px;
        color: #818285;

        a {
            color: $accent;
            text-decoration: none;

            &:hover {
                color: $accent;
                text-decoration: underline;
            }
        }
    }

    @include media-breakpoint-up(md) {
        overflow: visible;
        max-width: inherit;
        width: 562px;

        &__row {
            display: flex;
        }

        &__media {
            z-index: 5;
            display: block;
            width: 50%;
            flex-shrink: 0;
            position: relative;

            &--image {
                top: -81px;
                left: -42px;
                z-index: 1;
                width: 348px;
                height: 483px;
                position: absolute;
            }

            &--info {
                z-index: 10;
                bottom: 40px;
                left: 42px;
                right: 10px;
                position: absolute;
            }
        }

        &__content {
            width: 50%;
            z-index: 20;
            flex-shrink: 0;
            position: relative;
            background: $gray-light;
        }

        &__contact {

            font-size: size-rel(12px);
            line-height: size-rel(22px);

            &--title {
                color: #818285;
            }

            &--phone {
                font-weight: 600;
                font-size: size-rel(14px);
                line-height: size-rel(24px);
            }

            &--worktime {
                font-weight: 500;
            }
        }
    }
}

.fixed-desktop {

    @include media-breakpoint-up(xl) {

        .side-contact {
            opacity: 1;
            visibility: visible;
        }

        .header__logo--md {
            top: 0;
            position: fixed;
        }
    }
}

@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
